using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Railroads.ScenarioManager.Core;

namespace Railroads.ScenarioManager
{
	public partial class ScenarioExistsForm : Form
	{
		public ScenarioExistsForm()
		{
			InitializeComponent();
		}

		private ScenarioExistsActionType _action;
		[DebuggerBrowsable(DebuggerBrowsableState.Never)]
		public ScenarioExistsActionType Action
		{
			[DebuggerStepThrough]
			get { return _action; }
		}

		private void cmdReplace_Click(object sender, EventArgs e)
		{
			_action = ScenarioExistsActionType.Replace;

			DialogResult = DialogResult.OK;
			Close();
		}

		private void cmdCreateNew_Click(object sender, EventArgs e)
		{
			_action = ScenarioExistsActionType.CreateNew;

			DialogResult = DialogResult.OK;
			Close();
		}
	}
}