using System.Configuration;
using System.Diagnostics;

namespace Railroads.ScenarioManager.Core
{
	public class ApplicationSettings : ConfigurationSection
	{
		public override bool IsReadOnly()
		{
			return false;
		}


		[ConfigurationProperty("locale")]
		public string Locale { get { return (string)this["locale"]; } set { this["locale"] = value; } }


		[ConfigurationProperty("railroadsDirectory")]
		public string RailroadsDirectory { get { return (string)this["railroadsDirectory"]; } set { this["railroadsDirectory"] = value; } }


		[ConfigurationProperty("workingDirectory")]
		public string WorkingDirectory { get { return (string)this["workingDirectory"]; } set { this["workingDirectory"] = value; } }


		[ConfigurationProperty("myRailroadsDirectory")]
		public string MyRailroadsDirectory { get { return (string)this["myRailroadsDirectory"]; } set { this["myRailroadsDirectory"] = value; } }
	}
}