using System;

namespace Railroads.ScenarioManager.Core
{
	public static class Constants
	{
		public const string ASSETS = "Assets";
		public const string SCENARIO_PATH = ASSETS + @"\XML\_SCENARIOS_";

		public const string SCENARIO_FILE = "RRT_Scenario";
		public const string CITIES_FILE = "RRT_Cities";
		public const string NAMES_FILE = "RRT_Names";
		public const string GOODS_FILE = "RRT_Goods";
		public const string TRAINS_FILE = "RRT_Trains";
		public const string INDUSTRIES_FILE = "RRT_Industries";
		public const string DEPOTS_FILE = "RRT_Depots";
		public const string TRAIN_CARS_FILE = "RRT_TrainCars";
		public const string EVENTS_FILE = "RRT_Events";
		public const string ERAS_FILE = "RRT_Eras";
		public const string DECORATIONS_FILE = "RRT_Decorations";
		public const string TREES_FILE = "RRT_Trees";
		public const string CLUTTER_FILE = "RRT_Clutter";
		public const string BRIDGES_FILE = "RRT_Bridges";
		public const string TUNNELS_FILE = "RRT_Tunnels";
		public const string QUAYLE_FILE = "RRT_Quayle";

		public const string MAP_THUMBNAIL_SEARCH_PATTERN = "*.dds";
		public const string MAP_FILE_SEARCH_PATTERN = "*.tga";

		public const string SCENARIO_SEARCH_PATTERN = SCENARIO_FILE + "*.xml";
		public const string CITIES_SEARCH_PATTERN = CITIES_FILE + "*.xml";
		public const string GOODS_SEARCH_PATTERN = GOODS_FILE + "*.xml";
		public const string TRAINS_SEARCH_PATTERN = TRAINS_FILE + "*.xml";
		public const string INDUSTRIES_SEARCH_PATTERN = INDUSTRIES_FILE + "*.xml";

		public const string ERA_EARLY = "ERA_EARLY";
		public const string ERA_MIDDLE = "ERA_MID";
		public const string ERA_LATE = "ERA_LATE";

		public const int MIN_ERA_YEAR = 1828;
		public const int MAX_ERA_YEAR = 3000;
	}
}