using System;
using System.Windows.Forms;

namespace Railroads.ScenarioManager.Core
{
	public class CursorChanger : IDisposable
	{
		Cursor m_oOldCursor;

		public CursorChanger(Cursor cursor)
		{
			m_oOldCursor = Cursor.Current;
			Cursor.Current = cursor;
		}

		public void Dispose()
		{
			Cursor.Current = m_oOldCursor;
		}
	}
}