using System.Diagnostics;

namespace Railroads.ScenarioManager.Core
{
	public struct ScenarioFiles
	{
		private string m_sScenario;
		private string m_sCities;
		private string m_sNames;
		private string m_sIndustries;
		private string m_sDepots;
		private string m_sGoods;
		private string m_sTrains;
		private string m_sTrainCars;
		private string m_sEvents;
		private string m_sEras;
		private string m_sDecorations;
		private string m_sTrees;
		private string m_sClutter;
		private string m_sBridges;
		private string m_sTunnels;
		private string m_sQuayle;

		public ScenarioFiles(string scenario, string cities, string names, string goods, string trains, string industries, string depots, string trainCars,
			string events, string eras, string decorations, string trees, string clutter, string bridges, string tunnels, string quayle)
		{
			m_sScenario = scenario;
			m_sNames = names;
			m_sCities = cities;
			m_sIndustries = industries;
			m_sDepots = depots;
			m_sGoods = goods;
			m_sTrains = trains;
			m_sTrainCars = trainCars;
			m_sEvents = events;
			m_sEras = eras;
			m_sDecorations = decorations;
			m_sTrees = trees;
			m_sClutter = clutter;
			m_sBridges = bridges;
			m_sTunnels = tunnels;
			m_sQuayle = quayle;
		}

		public string Scenario { get { return m_sScenario; } }
		public string Cities { get { return m_sCities; } }
		public string Names { get { return m_sNames; } }
		public string Industries { get { return m_sIndustries; } }
		public string Depots { get { return m_sDepots; } }
		public string Goods { get { return m_sGoods; } }
		public string Trains { get { return m_sTrains; } }
		public string TrainCars { get { return m_sTrainCars; } }
		public string Events { get { return m_sEvents; } }
		public string Eras { get { return m_sEras; } }
		public string Decorations { get { return m_sDecorations; } }
		public string Trees { get { return m_sTrees; } }
		public string Clutter { get { return m_sClutter; } }
		public string Bridges { get { return m_sBridges; } }
		public string Tunnels { get { return m_sTunnels; } }
		public string Quayle { get { return m_sQuayle; } }
	}
}