using System;
using System.Collections.Generic;
using System.Xml;

namespace Railroads.ScenarioManager.Core
{
	public class City : TaggedItem
	{
		public City()
		{
		}

		public City(string tag, string name)
		{
			Tag = tag;
			Name = name;
		}

		public override object Clone()
		{
			City oClone = new City();

			oClone.Name = this.Name;
			oClone.Tag = this.Tag;
			oClone.Gender = this.Gender;

			return oClone;
		}
	}
}