using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Xml;

namespace Railroads.ScenarioManager.Core
{
	public class TrainGoodCar : XmlSetting
	{
		private string		m_sName;
		private Good		m_oGood;


		public string Name { get { return m_sName; } set { m_sName = value; } }
		public Good Good { get { return m_oGood; } set { m_oGood = value; } }


		public override void ToXml(XmlNode node)
		{
			throw new NotImplementedException("The method or operation is not implemented.");
		}


		public override void FromXml(Scenario scenario, XmlNode node)
		{
			m_sName = Utility.GetChildElementValue<string>(node, "szName");

			string sGoodName = Utility.GetChildElementValue<string>(node, "szGood");
			if (!Manager.Instance.BaseGoods.TryGetValue(sGoodName, out m_oGood))
			{
				throw new ArgumentException("Could not find a good named '" + sGoodName + "'");
			}
		}

		public override object Clone()
		{
			throw new NotImplementedException("The method or operation is not implemented.");
		}

		public override bool Validate(List<string> errors)
		{
			throw new NotImplementedException("The method or operation is not implemented.");
		}
	}
}
