using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Xml;

namespace Railroads.ScenarioManager.Core
{
	public class Sound3d : XmlSetting
	{
		private string		m_sScriptID;
		private string		m_sSoundID;


		public string ScriptID { get { return m_sScriptID; } set { m_sScriptID = value; } }
		public string SoundID { get { return m_sSoundID; } set { m_sSoundID = value; } }


		public override void ToXml(XmlNode node)
		{
			throw new NotImplementedException("The method or operation is not implemented.");
		}


		public override void FromXml(Scenario scenario, XmlNode node)
		{
			m_sScriptID = Utility.GetChildElementValue<string>(node, "ScriptID");
			m_sSoundID = Utility.GetChildElementValue<string>(node, "SoundID");
		}


		public override object Clone()
		{
			Sound3d oClone = new Sound3d();
			oClone.m_sScriptID = m_sScriptID;
			oClone.m_sSoundID = m_sSoundID;
			return oClone;
		}


		public override bool Validate(List<string> errors)
		{
			throw new NotImplementedException("The method or operation is not implemented.");
		}


		public override string ToString()
		{
			return m_sScriptID;
		}
	}
}
